using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.OP
{

    [Description("客户表")]
    public class T_OP_CLIENT : MesEntityBase
    {
        [Description("昵称")]
        [FormFieldQuery]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(50)]
        public string NICK_NAME { get; set; }

        [FormFieldQuery]
        [FormFieldTable]
        [FormFieldEdit]
        [Description("客户姓名")]
        [DataFieldLength(30)]
        public string NAME { get; set; }

        [FormFieldQuery]
        [FormFieldTable]
        [FormFieldEdit]
        [Description("证件号码")]
        [DataFieldLength(30)]
        public string ID_CARD { get; set; }

        [FormFieldQuery]
        [FormFieldTable]
        [FormFieldEdit]
        [Description("联系电话")]
        [DataFieldLength(30)]
        public string TEL { get; set; }

        [Description("头像地址")]
        [DataFieldLength(500)]
        [FormFieldEdit]
        public string AVATAURL { get; set; }


        [Description("邮箱")]
        [FormFieldEdit]
        [DataFieldLength(50)]
        public string EMAIL { get; set; }


        [Description("联系地址")]
        [DataFieldLength(100)]
        [FormFieldEdit]
        public string ADDR { get; set; }

        [Description("启用标志")]
        /// <summary>
        /// 启用标志 FMEnableStatusEnum
        /// </summary>
        [EnumName("FMEnableStatusEnum")]
        [FormFieldQuery]
        [FormFieldTable]
        [FormFieldEdit]
        public int ENABLE_STATUS { get; set; }
    }
}
